Call for testing: OpenSSH-5.4
Tim Rice
tim at multitalents.net
Wed Mar 3 06:55:41 EST 2010
On Tue, 2 Mar 2010, Mark D. Baushke wrote:
> On Mac OS X 10.5.8 (Intel)
>
> $ ./configure && make tests
[....]
> failed certified host keys
> make[1]: *** [t-exec] Error 1
> make: *** [tests] Error 2
> $
>
> Application of Tim Rice's patch to regress/cert-hostkey.sh lets things
> get a bit further...
>
> $ make tests
> ...
> run test cert-hostkey.sh ...
[....]
> certified host keys: test host cert connect cert not yet valid expect failure
> Invalid certificate time 20200101
A similar patch is needed for cert-userkey.sh
..........
--- cert-userkey.sh.old 2010-02-26 12:57:15.000000000 -0800
+++ cert-userkey.sh 2010-03-01 20:25:40.281586000 -0800
@@ -59,8 +59,13 @@
${SSHKEYGEN} -q -s $OBJ/user_ca_key -I "regress user key for $USER" \
$sign_opts \
- $OBJ/cert_user_key_rsa ||
- fail "couldn't sign cert_user_key_rsa"
+ $OBJ/cert_user_key_rsa
+ rc=$?
+ if [ "x$result" = "xsuccess" ] ; then
+ if [ $rc -ne 0 ]; then
+ fail "ssh-keygen sign cert_user_key_rsa $ident failed unexpectedly"
+ fi
+ fi
${SSH} -2i $OBJ/cert_user_key_rsa -F $OBJ/ssh_proxy \
somehost true >/dev/null 2>&1
..........
--
Tim Rice Multitalents (707) 887-1469
tim at multitalents.net
More information about the openssh-unix-dev
mailing list